Neu Shopify Connector veraltete API? Aktualisieren auf API-Version 2022-04

mediarath

Aktives Mitglied
17. Dezember 2020
33
4
Hamburg
Hallo zusammen,

ich bekomme seit einigen Tagen diese Email von Shopify. Ich soll die API aktualisieren.
Kennt das jemand?
Muss ich das selber machen?
Oder kommt von JTL automatisch eine Aktualisierung?

Bitte um Info. Vielen Dank

Hallo,

mindestens eine App hat in den letzten 30 Tagen eine veraltete API aufgerufen. Die Unterstützung für diese Version wird am Januar 1, 2023 eingestellt. Aktualisiere die unten aufgeführten Apps auf die API-Version 2022-04 oder höher, um sicherzustellen, dass sie weiterhin richtig funktionieren.

Shop: XXX

App: JTL-Connector
Änderungen, die zu Unterbrechungen führen können:

  • Einige Kundenfelder wurden von der Order-Ressource der REST API im Shopify-Adminbereich abgelehnt. Änderung anzeigen.
  • Im Rahmen des Inventarmanagements an mehreren Standorten wurden eine Änderung eingeführt, die zu einer Unterbrechung für das Feld Order.line_items.fulfillment_service geführt habt. Dieses Feld soll sowohl aus der GraphQL- als auch aus der REST-API für den Adminbereich entfernt werden. Ziehe bei der Verwendung der GraphQL-API die Verwendung von FulfillmentOrder.assigned_location in Betracht. Bei der Verwendung der REST-API findest du weitere Informationen unter FulfillmentOrder.assigned_location. Änderung anzeigen.
  • Die Fulfillment-API ist veraltet und wurde durch Fulfillment Orders ersetzt. Änderung anzeigen.
  • "Metafield.valueType" wurde entfernt. Siehe "Metafield.type" für Typinformationen. Änderung anzeigen.
  • Die Felder "origin_location" und "destination_location" auf Positionen wurden von der Bestellressource der Admin REST-API abgelehnt. Änderung anzeigen.
  • Das Feld "total_price_usd" im Bereich "Bestellung" wurde von der Bestellressource der Admin REST API abgelehnt. Änderung anzeigen.
 

stgb

Mitglied
15. Oktober 2021
24
0
Würde mich auch interessieren, wir bekommen momentan noch die Benachrichtigungsmails von Shopify hierzu
 

eimer24

Aktives Mitglied
22. November 2011
97
3
Ebenso.

Ein Entwickler muss deine privaten Apps und/oder Admin-Webhooks aktualisieren
Einige deiner privaten Apps und/oder Admin-Webhook-Abonnements funktionieren eventuell nicht wie gewohnt, da sie veraltete API-Versionen verwenden. Kontaktiere deinen Entwickler, um sicherzustellen, dass es für deinen Shop keine Unterbrechungen gibt. Wenn du den ursprünglichen Entwickler nicht erreichen kannst, kannst du einen Shopify-Experten engagieren.
Diese Nachricht basiert auf Daten der letzten 14 Tage und spiegelt eventuell nicht die aktuell reparierten Apps und Webhooks wider.
  • Private Apps, die vor dem 1. Januar 2023 aktualisiert werden müssen: JTL-Connector
 

thedrive123

Gut bekanntes Mitglied
17. Januar 2010
123
7
Auch hier bei uns.
Wie siehts aus bei JTL? Ist das Update schon ausgespielt?

"Hi @mediarath
das ist bekannt, das update dazu wird in den nächsten Tagen ausgespielt."


Post ist nun ja mittlerweile 1 Monat alt.
 

CarpDeal

Mitglied
25. Januar 2021
15
0
Ich habe auch plötzlich ein Problem mit dem Abgleich zu Shopify.

"Ein Entwickler muss deine privaten Apps und/oder Admin-Webhooks aktualisieren"

Hat jemand eine Info, was hier zu ändern ist?
 

Tim Platzke

Moderator
Mitarbeiter
9. Juni 2022
71
31
Hi zusammen,
Entschuldigung das es so lange gedauert hat, unsere QA war ein wenig verstopft.
Das update der Admin API ist jetzt live.
 

TobiBWS

Aktives Mitglied
8. Juni 2020
9
0
Hi zusammen,
Entschuldigung das es so lange gedauert hat, unsere QA war ein wenig verstopft.
Das update der Admin API ist jetzt live.
Und jetzt???? Was heißt das jetzt????? Wie ist der weitere Prozess und muss man selber etwas machen? Ist ja nicht so, dass an dieser API zu Shopify Umsatz dran hängt ....nein... wir machen das hier ja alle aus reinem Zeitvertreib...
Könntet ihr bitte bei einem solch wichtigen Thema mal bitte anfangen etwas früher und vorausschauender zu kommunizieren...... DANKE!!!
 

Tim Platzke

Moderator
Mitarbeiter
9. Juni 2022
71
31
Für euch ist nichts weiter zu tun, das Update ist bereits auf den Produktiv Systemen ausgespielt und wird für jeden Abgleich verwendet.
Falls ihr in den Attributen für metafelder noch deprecated Typen (meta_name[:namespace[:typ]]) verwendet ("integer", "string", "json_string") bekommt ihr einen Fehler und müsst die Typen entsprechend anpassen, dabei kann euch unser Support helfen.
Das passiert NICHT wenn ihr keine Typen verwendet, also nur meta_name[:namespace], dann wird automatisch der korrekte neue Typ verwendet.
 

mediarath

Aktives Mitglied
17. Dezember 2020
33
4
Hamburg
Für euch ist nichts weiter zu tun, das Update ist bereits auf den Produktiv Systemen ausgespielt und wird für jeden Abgleich verwendet.
Falls ihr in den Attributen für metafelder noch deprecated Typen (meta_name[:namespace[:typ]]) verwendet ("integer", "string", "json_string") bekommt ihr einen Fehler und müsst die Typen entsprechend anpassen, dabei kann euch unser Support helfen.
Das passiert NICHT wenn ihr keine Typen verwendet, also nur meta_name[:namespace], dann wird automatisch der korrekte neue Typ verwendet.
Hallo, leider bin ich wohl der betroffene. Bei mir funktioniert der Abgleich nicht mehr, weil ich eben die Metafields nutze. Was muss ich umstellen, damit der Abgleich wieder funktioniert?

Ich habe vorerst alle Meta-Description gelöscht. Jetzt schein es weiter zu gehen, aber wie kann ich diese trotzdem weiter nutzen?
 
Zuletzt bearbeitet:

Tim Platzke

Moderator
Mitarbeiter
9. Juni 2022
71
31
Für euch ist nichts weiter zu tun, das Update ist bereits auf den Produktiv Systemen ausgespielt und wird für jeden Abgleich verwendet.
Falls ihr in den Attributen für metafelder noch deprecated Typen (meta_name[:namespace[:typ]]) verwendet ("integer", "string", "json_string") bekommt ihr einen Fehler und müsst die Typen entsprechend anpassen, dabei kann euch unser Support helfen.
Das passiert NICHT wenn ihr keine Typen verwendet, also nur meta_name[:namespace], dann wird automatisch der korrekte neue Typ verwendet.
Hallo, leider bin ich wohl der betroffene. Bei mir funktioniert der Abgleich nicht mehr, weil ich eben die Metafields nutze. Was muss ich umstellen, damit der Abgleich wieder funktioniert?

Ich habe vorerst alle Meta-Description gelöscht. Jetzt schein es weiter zu gehen, aber wie kann ich diese trotzdem weiter nutzen?
Die neuen Typen sind wie folgt:
"integer" => "number_integer"
"json_string" => "json"
"string" => "single_line_text_field" oder "multi_line_text_field" je nachdem ob der Text Zeilenumbrüche hat ( Shopify blockiert wenn der Typ single_line ist aber der Text Zeilenumbrüche hat)

Müsste denn jetzt nicht die Warnung zur veralteten API aus dem Shopify Backend verschwinden ?
Ja, die sollte in den nächsten Tagen verschwinden.
 
Ähnliche Themen
Titel Forum Antworten Datum
Neu Warnhinweis in Shopify: Veraltete API bei JTL Connector Shopify-Connector 7
Neu JTL-Wawi-Connector Shopify Abbruch, 1.5.55.3 Shopify-Connector 4
Neu Ersteinrichtung Shopify-Connector Fehler Shopify-Connector 3
Neu Shopify Connector Probleme Shopify-Connector 0
Neu JTL nachträglich als federführend für bestehende Shopify Produkte Shopify-Connector 0
Neu "Action Required - Migrate your custom app to the Fulfillment Orders API by March 31, 2023" / Shopify Shopify-Connector 1
Neu Zeitlich begrenzter SALE mit JTL und Shopify Shopify-Connector 3
Neu Shopify Retouren in JTL Wawi Shopify-Connector 1
Neu Shopify POS an WaWi anbinden Shopify-Connector 4
Neu Artikelimport von Shopify zu JTL-WaWi ohne SKU Shopify-Connector 4
Neu Shopify - nur Bestellungen abholen o. Artikel nur vom Shop importieren Shopify-Connector 1
Variationen - Kindartikel - Preise für Shopify werden nicht angepasst ... JTL-Wawi 1.6 0
Neu Shopify Abgleich Fehler - WaWi 1.6.45.0 - Zeilenumbrüche in single line text string JTL-Wawi - Fehler und Bugs 2
Neu Artikel aus JTL-Wawi werden nicht oder fehlerhaft an Shopify übertragen Shopify-Connector 0
Neu Lokale Abholung Shopify / JTL Shopify-Connector 0
JTL Wawi - Shopware 6 Connector problem JTL-Wawi 1.6 0
Neu WPML und Connector (Woocommerce) WooCommerce-Connector 0
Neu Shopabgleich JTL-Connector - Fehler beim Speichern: MERGE-Anweisung schlägt fehl JTL-Wawi - Fehler und Bugs 0
Neu Connector dreht Bilder Allgemeines zu den JTL-Connectoren 0
Neu Hersteller Connector 2.16.3 Gambio-Connector 0
Neu JTL Connector 1.39.4 for Woocommerce 7.3 not syncing WooCommerce-Connector 2
Neu Connector Überarbeitung für PHP8.0 Allgemeines zu den JTL-Connectoren 4
Neu Multishop Connector B2C & B2B Gambio-Connector 1
Neu Neuen zusätzlichen Shop in der WaWi mit Connector anlegen - Hilfe Gambio-Connector 1
Neu Eigener Connector - "Unterstützt Variationsartikel" Technische Fragen zu den JTL-Connectoren 1
Fehlermeldung bei JTL-Connector/JTL-Wawi JTL-Wawi 1.6 6
Neu Alten Connector deaktivieren? Shopware-Connector 1
Neu JTL Wawi mit JTL Connector verbinden User helfen Usern - Fragen zu JTL-Wawi 7
JTL-Wawi Connector Shopware Versandarten Einkaufspreis hinterlegen JTL-Wawi 1.6 0
Neu Gambio Connector - Fehler "invalid request" Gambio-Connector 4
Retoure - Shopware 6 Connector JTL-Wawi 1.6 1
Neu SW6 Connector Artikel Abgleich bricht ab - Allowed memory Size Shopware-Connector 8
Neu wenn der Connector nicht mehr offiziel supportet wird, brauche ich dann noch die Multishop lizenz? Modified eCommerce-Connector 0
Neu Connector - Übertragung von Versandinformationen Onlineshop-Anbindung 0
Neu Welche Version Woocommerce für Connector WooCommerce-Connector 0
Neu Shopware 6 Connector - Bestellungen werden nicht übertragen Shopware-Connector 2
Neu Gambio Connector und PHP 8 Onlineshop-Anbindung 11
Neu Shopware mit JTL-Connector Onlineshop-Anbindung 6
Neu Shopware 5 Connector > Lieferzeit (in Tagen) > Quellcode / Logik Shopware-Connector 4

Ähnliche Themen